import { loadEnv } from "@build/index";
import { http } from "/@/utils/http";

const { VITE_PROXY_DOMAIN_REAL } = loadEnv();

export async function httpRoleAll(
  data: object = {}
): Promise<DataType<RoleNode[]>> {
  return http.request(`post`, `${VITE_PROXY_DOMAIN_REAL}admin/roleall`, {
    data
  });
}

//获取所有菜单操作
export async function httpActionAll(
  data: object = {}
): Promise<DataType<MenuActionNode[]>> {
  return http.request(`post`, `${VITE_PROXY_DOMAIN_REAL}admin/menuactionlist`, {
    data
  });
}

//获取某一角色的操作
export async function httpRoleAction(
  data: object = {}
): Promise<DataType<MenuRoleAction>> {
  return http.request(`post`, `${VITE_PROXY_DOMAIN_REAL}admin/roleinfo`, {
    data
  });
}
