import { PageContentInstance } from "../../PageContent";
import PageContainer from "./page-container";

export type Hooks = {
  pageSearchHook: () => any;
};

export type Events = {
  content?: {
    preview?: (row: any) => any;
    create?: () => any;
  };
};

export type PageContainerInstance = InstanceType<typeof PageContainer> & {
  content: PageContentInstance;
};
