import { authOptions } from "./_options";
import { FormConfig } from "/@/components/PageSearch";
import { STATUS_OPTIONS } from "/@/config/status";
import { convertOptions } from "/@/utils/column-helper";

const searchFormConfig: FormConfig = {
  formItems: [
    {
      field: "status",
      type: "select",
      placeholder: "角色状态",
      options: convertOptions(STATUS_OPTIONS)
    },
    {
      field: "level",
      type: "select",
      placeholder: "角色等级",
      options: convertOptions(authOptions)
    },
    {
      field: "role_name",
      type: "input",
      placeholder: "角色名称"
    }
  ]
};

export default searchFormConfig;
